Agent Builder is a set of AI-powered capabilities for developing and interacting with agents that work with your Elasticsearch data. Most users will probably want to integrate with Agent Builder using MCP or A2A, but you can also work programmatically with tools, agents, and conversations using these Kibana APIs.

Agent Builder docs
Operations quick access
POST /api/agent_builder/a2a/{agentId} GET /api/agent_builder/a2a/{agentId}.json GET /api/agent_builder/agents POST /api/agent_builder/agents POST /api/agent_builder/agents/{agent_id}/consumption GET /api/agent_builder/agents/{id} PUT /api/agent_builder/agents/{id} DELETE /api/agent_builder/agents/{id} GET /api/agent_builder/conversations GET /api/agent_builder/conversations/{conversation_id} DELETE /api/agent_builder/conversations/{conversation_id} GET /api/agent_builder/conversations/{conversation_id}/attachments POST /api/agent_builder/conversations/{conversation_id}/attachments PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id} DELETE /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id} PATCH /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id} POST /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/_restore PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}/origin POST /api/agent_builder/converse POST /api/agent_builder/converse/async POST /api/agent_builder/mcp GET /api/agent_builder/plugins GET /api/agent_builder/plugins/{pluginId} DELETE /api/agent_builder/plugins/{pluginId} POST /api/agent_builder/plugins/install GET /api/agent_builder/skills POST /api/agent_builder/skills GET /api/agent_builder/skills/{skillId} PUT /api/agent_builder/skills/{skillId} DELETE /api/agent_builder/skills/{skillId} GET /api/agent_builder/tools POST /api/agent_builder/tools POST /api/agent_builder/tools/_execute GET /api/agent_builder/tools/{toolId} PUT /api/agent_builder/tools/{toolId} DELETE /api/agent_builder/tools/{toolId}